curl --request PUT \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}:cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}:cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}:cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"status": "drafted",
"mode": "sequential",
"notification": {
"subject": "<string>",
"body": "<string>"
},
"notificationsManagedBy": "nitro"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#403-forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "/webhooks/configs"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#409-conflict",
"title": "Conflict",
"status": 409,
"detail": "Envelope in invalid state",
"instance": "/sign/envelopes/%s:send-for-signing"
}Cancel Envelope by ID
The Cancel Envelope by ID endpoint cancels the signing request for the envelope specified by its UUIDv4 identifier. This endpoint allows you to cancel an envelope and changes its status to Cancelled but keeps it available for reference and reuse after updates. In Cancelled status, no further signing operations can be done on the envelope.
Note: Only envelopes that have been sent for signing can be cancelled. Draft envelopes cannot be cancelled.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique UUIDv4 string that identifies the envelope in the Nitro system.
Response
Envelope cancelled successfully
A unique UUIDv4 string that identifies the envelope in the Nitro system.
UTC timestamp indicating when the envelope was created.
UTC timestamp indicating the last time the envelope was updated. Matches createdAt at the time of creation.
The name of the envelope.
The internal status of the envelope. Defaults to drafted on creation.
drafted, sent, processing, sealed, rejected, cancelled, deleted Signing mode for the envelope.
sequential, parallel Notification settings for the envelope. Omitted while notificationsManagedBy is sender: Nitro renders no copy for such an envelope, so it exposes none.
Show child attributes
Show child attributes
Who notifies the participants of this envelope: nitro or sender. Defaults to nitro.
nitro, sender